# Functionalities

## Debugger functions

Monaca Debugger provides useful functions for testing and debugging your apps. You can find the debugger functions button when you run a project in the Monaca Debugger. When you click the `Debugger Functions` button, you will see:

* Back button
* Reload button
* [Screenshot button](/products_guide/debugger/features.md#screenshot)
* [App Log button](/products_guide/debugger/features.md#app-log)

![](/files/ZsHA82kQF9EeBZuilpJu) ![](/files/wbPUfNMIotxiSuAnUa10)

### Screenshot

While using Monaca Debugger, you can take screenshots and save them on the device's storage. On the screenshot screen, you can edit the screenshot and save it in the storage of the device.

![](/files/SiAxmFyJ2LvpJmhRbTyv)

### App log

Monaca Debugger allows you to see the log of the app that shows the progress and errors of the app while running.

![](/files/PYF3weA65ADIwaDTR3SM)

## Debugger menu

![](/files/yKo5fSrcX63hiLCzxjoX)

The submenus inside the debugger menu are:

### All projects

Shows a list of all the Monaca projects that can be run on the Monaca Debugger. There are two types of projects in the Monaca Debugger:

* `Monaca.io projects`: projects created in the Monaca Cloud IDE.
* `Local projects`: projects created in the [Monaca Localkit](/products_guide/monaca_localkit.md) or [Monaca CLI](/products_guide/monaca_cli.md) and stored in your PC. Local projects appear only when the debugger is paired with the Monaca Localkit or CLI.

![](/files/JXCb0twy7ISqroR2X4Lx)

### Local computers

Shows a list of all currently paired and available computers. Paired computers are local computers running Monaca Localkit/CLI and currently connected to the debugger. You may want to see to the following documentations:

* [Pairing Monaca Debugger with Monaca Localkit](/products_guide/monaca_localkit/pairing_debugging.md)
* [Pairing Monaca Debugger with Monaca CLI](/products_guide/monaca_cli/pairing_debugging.md)

![](/files/pN3eo5gCFdefvwlEo7qa)

### Debugger settings

Shows debugger's configurations:

* Allow the device to sleep
* Show the memory usage
* Restart after resume
* Restart after network connection recovery
* Hide the debugger menu
* Clear the synced files
* Clear the storage data

Synced files are synced project files while storage data is previously stored data (local storage data) created by your projects on your device memory.

![](/files/SFXdiHZ7x9USNrauU48P)

### Debugger information

Shows detailed information of the debugger such as its version, platform, CLI version and available plugins.

![](/files/xl3jAq0hIhvUTKtrQ7tP)

## Project options

In the project list inside the Monaca Debugger, there is a :information\_source: button for each Monaca.io project. Click it and you can:

* set the project as your favorite: moves it to the top of the project list.
* launch the app: runs the current project in the debugger.

![](/files/rY6TAY9qNL90APcSk3FY) ![](/files/O8TK3BQ96TGr11cjkWRU)

See Also:

* [Installation](/products_guide/debugger/installation.md)
* [Usage](/products_guide/debugger/debug.md)
* [Debugger Troubleshooting Guide](/products_guide/debugger/troubleshooting.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://en.docs.monaca.io/products_guide/debugger/features.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
